| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Viewport::Listener Class Reference

Listener interface so you can be notified of Viewport changes. More...

`#include <OgreViewport.h>`

Inheritance diagram for Ogre::Viewport::Listener:
[legend]

## Public Member Functions
virtual | ~Listener ()
virtual void | viewportCameraChanged (Viewport *viewport)
| Notification of when a new camera is set to target listening Viewport. More...
virtual void | viewportDestroyed (Viewport *viewport)
| Notification of when target listening Viewport's is destroyed. More...
virtual void | viewportDimensionsChanged (Viewport *viewport)
| Notification of when target listening Viewport's dimensions changed. More...

## Detailed Description

Listener interface so you can be notified of Viewport changes.

## Constructor & Destructor Documentation

## ◆ ~Listener()

virtual Ogre::Viewport::Listener::~Listener | ( |  | ) |
| inline virtual

## Member Function Documentation

## ◆ viewportCameraChanged()

virtual void Ogre::Viewport::Listener::viewportCameraChanged | ( | Viewport * | viewport | ) |
| virtual

Notification of when a new camera is set to target listening Viewport.

Reimplemented in Ogre::CompositorChain.

## ◆ viewportDimensionsChanged()

virtual void Ogre::Viewport::Listener::viewportDimensionsChanged | ( | Viewport * | viewport | ) |
| virtual

Notification of when target listening Viewport's dimensions changed.

Reimplemented in Ogre::CompositorChain.

## ◆ viewportDestroyed()

virtual void Ogre::Viewport::Listener::viewportDestroyed | ( | Viewport * | viewport | ) |
| virtual

Notification of when target listening Viewport's is destroyed.

Reimplemented in Ogre::CompositorChain.

The documentation for this class was generated from the following file:

- OgreViewport.h